EmbeddableClass (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.annotations.entity
Class EmbeddableClass

    java.lang.Object
      org.hibernate.metamodel.source.annotations.entity.ConfiguredClass
          org.hibernate.metamodel.source.annotations.entity.EmbeddableClass

    public class EmbeddableClass

extends ConfiguredClass

Represents the information about an entity annotated with `@Embeddable`.

Field Summary

Fields inherited from class org.hibernate.metamodel.source.annotations.entity.ConfiguredClass
`LOG`

Constructor Summary
`EmbeddableClass(org.jboss.jandex.ClassInfo classInfo, String embeddedAttributeName, ConfiguredClass parent, AccessType defaultAccessType, AnnotationBindingContext context)`

Method Summary
`String` | `getEmbeddedAttributeName()`
`String` | `getParentReferencingAttributeName()`

Methods inherited from class org.hibernate.metamodel.source.annotations.entity.ConfiguredClass
`getAssociationAttributes, getAttributeOverrideMap, getClassAccessType, getClassInfo, getConfiguredClass, getCustomTuplizer, getEmbeddedClasses, getIdAttributes, getLocalBindingContext, getName, getParent, getSimpleAttributes, getVersionAttribute, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EmbeddableClass

    public EmbeddableClass(org.jboss.jandex.ClassInfo classInfo,
                           String embeddedAttributeName,
                           ConfiguredClass parent,
                           AccessType defaultAccessType,
                           AnnotationBindingContext context)

Method Detail

### getEmbeddedAttributeName

    public String getEmbeddedAttributeName()

### getParentReferencingAttributeName

    public String getParentReferencingAttributeName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.